> ## Documentation Index
> Fetch the complete documentation index at: https://docs.squared.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Sync



## OpenAPI

````yaml POST /api/v1/syncs
openapi: 3.0.1
info:
  title: AI Squared API
  version: 1.0.0
servers:
  - url: https://api.squared.ai
security: []
paths:
  /api/v1/syncs:
    post:
      tags:
        - Syncs
      summary: Create a new sync operation
      operationId: createSync
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                sync:
                  type: object
                  properties:
                    source_id:
                      type: integer
                    destination_id:
                      type: integer
                    model_id:
                      type: integer
                    schedule_type:
                      type: string
                      enum:
                        - automated
                    configuration:
                      type: object
                      additionalProperties: true
                    stream_name:
                      type: string
                    sync_mode:
                      type: string
                      enum:
                        - full_refresh
                    sync_interval:
                      type: integer
                    sync_interval_unit:
                      type: string
                      enum:
                        - minutes
                    cron_expression:
                      type: string
                    cursor_field:
                      type: string
                  required:
                    - source_id
                    - destination_id
                    - model_id
                    - schedule_type
                    - configuration
                    - stream_name
                    - sync_mode
                    - sync_interval
                    - sync_interval_unit
      responses:
        '200':
          description: Sync operation created successfully
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                  type:
                    type: string
                    enum:
                      - syncs
                  attributes:
                    type: object
                    properties:
                      source_id:
                        type: integer
                      destination_id:
                        type: integer
                      model_id:
                        type: integer
                      configuration:
                        type: object
                        additionalProperties: true
                      schedule_type:
                        type: string
                        enum:
                          - automated
                      sync_mode:
                        type: string
                        enum:
                          - full_refresh
                      sync_interval:
                        type: integer
                      sync_interval_unit:
                        type: string
                        enum:
                          - minutes
                      cron_expression:
                        type: string
                      cursor_field:
                        type: string
                      stream_name:
                        type: string
                      status:
                        type: string
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````